Results 1 to 4 of 4

Thread: ExtAngular npm start (Failed to compile)

  1. #1
    Sencha Premium Member
    Join Date
    Mar 2010
    Posts
    2

    Default ExtAngular npm start (Failed to compile)

    $ npm start


    > @sencha/[email protected] start E:\work\extAngular\cool-ext-angular-app-3
    > npm run dev




    > @sencha/[email protected] dev E:\work\extAngular\cool-ext-angular-app-3
    > webpack-dev-server --env.verbose=no --env.environment=development --env.browser=true --env.watch=yes


    undefined
    i [ext]: ext-webpack-plugin v6.7.0, Ext JS v6.7.0 Commercial Edition, Sencha Cmd v6.7.0.36, webpack v4.29.0, angular v7.2.2
    i [ext]: Building for development
    i 「wds」: Project is running at http://0.0.0.0:1962/
    i 「wds」: webpack output is served from /
    i 「wds」: Content not from webpack is served from ./build
    i 「wds」: 404s will fallback to /index.html
    i [ext]: Adding ext-angular\ext.js and ext-angular\ext.css to index.html
    i [ext]: Building Ext bundle at: \build\ext-angular
    i [ext]: [ERR] Directory \build\ext-angular\node_modules\@sencha\ext not recognized as a framework
    i [ext]: [ERR] Unable to load required framework: [email protected]

    i [ext]: Opening browser at http://localhost:1962
    i [ext]: Completed ext-webpack-plugin processing
    × 「wdm」: Built at: 2019-01-24 09:24:51
    Entrypoint polyfills = polyfills.js polyfills.js.map
    Entrypoint main = main.js main.js.map


    ERROR in i [ext]: Directory \build\ext-angular\node_modules\@sencha\ext not recognized as a framework


    ERROR in i [ext]: Unable to load required framework: [email protected]


    ERROR in 321
    i 「wdm」: Failed to compile.



    There is no node_modules \ @sencha \ ext in that directory (\ build \ ext-angular).

    I want to do this.

    help me

  2. #2
    Sencha - Forum Administrator
    Join Date
    Sep 2017
    Posts
    1,006

    Default

    Hello there- sorry for the delay in response. I have shared this with the support team. Someone will be reaching out to you soon to provide some assistance. Your patience is greatly appreciated.

    Thanks,

    Michele

  3. #3
    Sencha - Product Team
    Join Date
    Apr 2015
    Posts
    110

    Default

    We pushed updates to ExtAngular packages. Can you pl. retry? Thx!

    Quote Originally Posted by pumm View Post
    $ npm start


    > @sencha/[email protected] start E:\work\extAngular\cool-ext-angular-app-3
    > npm run dev




    > @sencha/[email protected] dev E:\work\extAngular\cool-ext-angular-app-3
    > webpack-dev-server --env.verbose=no --env.environment=development --env.browser=true --env.watch=yes


    undefined
    i [ext]: ext-webpack-plugin v6.7.0, Ext JS v6.7.0 Commercial Edition, Sencha Cmd v6.7.0.36, webpack v4.29.0, angular v7.2.2
    i [ext]: Building for development
    i 「wds」: Project is running at http://0.0.0.0:1962/
    i 「wds」: webpack output is served from /
    i 「wds」: Content not from webpack is served from ./build
    i 「wds」: 404s will fallback to /index.html
    i [ext]: Adding ext-angular\ext.js and ext-angular\ext.css to index.html
    i [ext]: Building Ext bundle at: \build\ext-angular
    i [ext]: [ERR] Directory \build\ext-angular\node_modules\@sencha\ext not recognized as a framework
    i [ext]: [ERR] Unable to load required framework: [email protected]

    i [ext]: Opening browser at http://localhost:1962
    i [ext]: Completed ext-webpack-plugin processing
    × 「wdm」: Built at: 2019-01-24 09:24:51
    Entrypoint polyfills = polyfills.js polyfills.js.map
    Entrypoint main = main.js main.js.map


    ERROR in i [ext]: Directory \build\ext-angular\node_modules\@sencha\ext not recognized as a framework


    ERROR in i [ext]: Unable to load required framework: [email protected]


    ERROR in 321
    i 「wdm」: Failed to compile.



    There is no node_modules \ @sencha \ ext in that directory (\ build \ ext-angular).

    I want to do this.

    help me

  4. #4
    Sencha Premium Member
    Join Date
    Mar 2010
    Posts
    2

    Default

    Thanks, Michele

    it's work~~ ^^

Similar Threads

  1. Replies: 9
    Last Post: 3 Jan 2019, 8:16 AM
  2. failed to `npm run start`
    By jcvetkovic in forum Ext JS 6.x Bugs
    Replies: 5
    Last Post: 1 Oct 2018, 10:15 AM
  3. compile Failed to find file
    By Dmoney in forum Sencha Cmd
    Replies: 2
    Last Post: 31 Dec 2012, 7:49 AM
  4. Replies: 2
    Last Post: 10 Dec 2012, 6:18 AM
  5. GWT compile failed -why?
    By Shawn.in.Tokyo in forum Sencha GXT Discussion
    Replies: 2
    Last Post: 28 Apr 2012, 11:27 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •